Package org.apache.tools.ant.taskdefs.optional.junitlauncher.confined

## Class ForkDefinition

- java.lang.Object
- - org.apache.tools.ant.taskdefs.optional.junitlauncher.confined.ForkDefinition

-     public class ForkDefinition
      extends java.lang.Object

  Represents the `fork` element within test definitions of the `junitlauncher` task

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addConfiguredEnv​(Environment.Variable var)` |
    `void` | `addConfiguredModulePath​(Path modulePath)` |
    `void` | `addConfiguredSysProperty​(Environment.Variable sysProp)` |
    `void` | `addConfiguredSysPropertySet​(PropertySet propertySet)` |
    `void` | `addConfiguredUpgradeModulePath​(Path upgradeModulePath)` |
    `Commandline.Argument` | `createJvmArg()` |
    `void` | `setDir​(java.lang.String dir)` |
    `void` | `setIncludeAntRuntimeLibraries​(boolean include)` |
    `void` | `setIncludeJUnitPlatformLibraries​(boolean include)` |
    `void` | `setTimeout​(long timeout)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setDir

          public void setDir​(java.lang.String dir)

    - #### setTimeout

          public void setTimeout​(long timeout)

    - #### setIncludeJUnitPlatformLibraries

          public void setIncludeJUnitPlatformLibraries​(boolean include)

    - #### setIncludeAntRuntimeLibraries

          public void setIncludeAntRuntimeLibraries​(boolean include)

    - #### createJvmArg

          public Commandline.Argument createJvmArg()

    - #### addConfiguredSysProperty

          public void addConfiguredSysProperty​(Environment.Variable sysProp)

    - #### addConfiguredSysPropertySet

          public void addConfiguredSysPropertySet​(PropertySet propertySet)

    - #### addConfiguredEnv

          public void addConfiguredEnv​(Environment.Variable var)

    - #### addConfiguredModulePath

          public void addConfiguredModulePath​(Path modulePath)

    - #### addConfiguredUpgradeModulePath

          public void addConfiguredUpgradeModulePath​(Path upgradeModulePath)